## branca 0.3.1

=== requirements.txt ===
jinja2
six

=== debian/changelog ===
branca (0.3.1-4) unstable; urgency=medium

  * added build dependencies on python3-jinja2, python3-six
  * upgraded Standards-Version: 4.4.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2019 15:36:11 +0100

branca (0.3.1-3) unstable; urgency=medium

  * added a build dependency on python3-setuptools

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Nov 2019 08:26:51 +0100

branca (0.3.1-2) unstable; urgency=medium

  * fixed Vcs stuff.
  * added python3-folium as a suggested package

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Nov 2019 17:41:24 +0100

branca (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #942226)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Oct 2019 19:45:46 +0200

=== debian/control ===
Source: branca
Section: libdevel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python,
 python3,
 python3-setuptools,
 python3-jinja2,
 python3-six
X-Python3-Version: >= 3.7
Standards-Version: 4.4.0
Homepage: https://pypi.org/project/branca/
Vcs-Browser: https://salsa.debian.org/georgesk/branca
Vcs-Git: https://salsa.debian.org/georgesk/branca.git

Package: python3-branca
Architecture: all
Depends: ${misc:Depends}, python3
Suggests: python3-folium
Description: library with non-map-specific features for folium
 folium builds on the data wrangling strengths of the Python ecosystem
 and the mapping strengths of the Leaflet.js library. Manipulate your
 data in Python, then visualize it in a Leaflet map via folium.
 .
 branca provides the features which are not specific to maps.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3 --buildsystem=pybuild
override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info/

## branca 0.4.1

=== debian/changelog ===
branca (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 May 2020 19:17:16 +0200

branca (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Mar 2020 18:02:53 +0100

## branca 0.4.2

=== debian/changelog ===
branca (0.4.2-1) unstable; urgency=medium

  * new upstream version
  * upgraded : debhelper-compat (= 13), Standards-Version: 4.5.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 19:15:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libdevel
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
  python3-setuptools,
  python3-jinja2,
  python3-six
 X-Python3-Version: >= 3.7
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://pypi.org/project/branca/
 Vcs-Browser: https://salsa.debian.org/georgesk/branca
 Vcs-Git: https://salsa.debian.org/georgesk/branca.git

## branca 0.5.0

=== debian/changelog ===
branca (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 May 2022 12:52:33 +0200

## branca 0.6.0

=== debian/changelog ===
branca (0.6.0-2) unstable; urgency=medium

  * applied Nilesh Patra's patch. Closes: #1024557

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Nov 2022 11:21:21 +0100

branca (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * remove branca/_version.py when cleaning

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 18:30:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  dh-python,
  python3,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-jinja2,
  python3-six
 X-Python3-Version: >= 3.7

## branca 0.7.1

=== debian/changelog ===
branca (0.7.1-2) unstable; urgency=medium

  * removed the build-dependency on python3-six. Closes: #1064603

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 12:17:09 +0100

branca (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 06 Feb 2024 19:09:43 +0100

branca (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 20:36:43 +0100

## branca 0.8.0

=== debian/changelog ===
branca (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2024 16:13:06 +0200

branca (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 May 2024 18:33:18 +0200

## branca 0.8.1

=== debian/changelog ===
branca (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Dec 2024 18:36:11 +0100

## branca 0.8.2

=== requirements.txt ===
jinja2>=3

=== debian/changelog ===
branca (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 09:38:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-jinja2,
- python3-six
 X-Python3-Version: >= 3.7
 Standards-Version: 4.5.1
 Homepage: https://pypi.org/project/branca/

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3 --buildsystem=pybuild
override_dh_auto_clean:
	dh_auto_clean
	rm -f branca/_version.py
	rm -rf *.egg-info/

=== debian/watch ===
version=4


# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%branca-$1.tar.gz%" \
   https://github.com/python-visualization/branca/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
